summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:32:20 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:32:20 +0000
commit3d23a83fd1e0732d9103ceaf8fd30ac3aadf7035 (patch)
treef02d32497d7c5b913ef32a2270c498ed47a987d1 /testsuite/check.sh
parentAdding upstream version 1.1. (diff)
downloadclzip-3d23a83fd1e0732d9103ceaf8fd30ac3aadf7035.tar.xz
clzip-3d23a83fd1e0732d9103ceaf8fd30ac3aadf7035.zip
Adding upstream version 1.2.upstream/1.2
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 4d1377e..50bec2e 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -37,6 +37,19 @@ printf .
cmp in copy || fail=1
printf .
+"${LZIP}" -t "${testdir}"/test_sync.lz || fail=1
+printf .
+"${LZIP}" -cd "${testdir}"/test_sync.lz > copy || fail=1
+cmp in copy || fail=1
+printf .
+
+"${LZIP}" -cf "${testdir}"/test_v1.lz > out 2>/dev/null
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIP}" -cF "${testdir}"/test_v1.lz > out || fail=1
+"${LZIP}" -cd out | "${LZIP}" -d > copy || fail=1
+cmp in copy || fail=1
+printf .
+
for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
"${LZIP}" -k -$i in || fail=1
mv -f in.lz copy.lz || fail=1
@@ -69,7 +82,7 @@ for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
done
"${LZIP}" -$i < in > anyothername || fail=1
-"${LZIP}" -dq anyothername || fail=1
+"${LZIP}" -d anyothername || fail=1
cmp in anyothername.out || fail=1
printf .